// BoBTweakDlg.h : header file
//

#if !defined(AFX_BOBTWEAKDLG_H__12DD6749_FFBC_11D2_919B_B0B50EC10000__INCLUDED_)
#define AFX_BOBTWEAKDLG_H__12DD6749_FFBC_11D2_919B_B0B50EC10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBoBTweakDlgAutoProxy;

/////////////////////////////////////////////////////////////////////////////
// CBoBTweakDlg dialog

class CBoBTweakDlg : public CDialog
{
	DECLARE_DYNAMIC(CBoBTweakDlg);
	friend class CBoBTweakDlgAutoProxy;

// Construction
public:
	CBoBTweakDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CBoBTweakDlg();

// Dialog Data
	//{{AFX_DATA(CBoBTweakDlg)
	enum { IDD = IDD_BOBTWEAK_DIALOG };
	CEdit	m_MacroReply;
	CComboBox	m_Macro;
	CTabCtrl	m_MainTab;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBoBTweakDlg)
	public:
	virtual void WinHelp(DWORD dwData, UINT nCmd = HELP_CONTEXT);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void UpdateGameStateChecks();
	void SaveSettings();
	void LoadSettings();
	void UpdateMenus();
	BOOL SendCAOSCommand(CString sCommand, CString* sReply);
	void SetCheatMode(CString newMode);
	void ShowTab(int index, BOOL show);
	BOOL CanExit();

	ISFC* GetSFC()
	{
		return ((CBoBTweakApp *)AfxGetApp())->m_SFC;
	};

	CBoBTweakDlgAutoProxy*	m_pAutoProxy;
	HICON	m_hIcon;
	int		m_yPosition;
	int		m_xPosition;
	BOOL	m_KeepOnTop;
	int		m_Page;
	BYTE	m_nAppID;
	BOOL	m_Burble;
	CString m_Privileges;
	BOOL	m_DisableCDCheck;
	BOOL	m_AdvancedScienceKit;
	BOOL	m_EttinGrendelSelector;
	BOOL	m_InfiniteScroll;
	BOOL	m_NeuroscienceKit;
	BOOL	m_ScienceKit;

	// Generated message map functions
	//{{AFX_MSG(CBoBTweakDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnSelchangingMaintab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeMaintab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTestingBurble();
	afx_msg void OnCheatmodesNone();
	afx_msg void OnCheatmodesBluebery4();
	afx_msg void OnCheatmodesCoconutgrove();
	afx_msg void OnFileNewWorld();
	afx_msg void OnFileOpenWorld();
	afx_msg void OnFileSaveAs();
	afx_msg void OnFileSaveWorld();
	afx_msg void OnTestingActivateGameStates();
	afx_msg void OnCheatmodesDisablecdcheck();
	afx_msg void OnTestingCreateFemaleNorn();
	afx_msg void OnTestingCreateMaleNorn();
	afx_msg void OnTestingEuthanasia();
	afx_msg void OnTestingForceAgeing();
	afx_msg void OnTestingInfectNorn();
	afx_msg void OnTestingInstantGoalDirection();
	afx_msg void OnTestingInstantVocab();
	afx_msg void OnTestingMarkAllRoomsVisited();
	afx_msg void OnTestingResetMutationCount();
	afx_msg void OnTestingShowMap();
	afx_msg void OnWindowHide();
	afx_msg void OnWindowKeepOnTop();
	afx_msg void OnExecuteMacro();
	afx_msg void OnCheckAdvsciencekit();
	afx_msg void OnCheckEttingrendelselector();
	afx_msg void OnCheckInfinitescroll();
	afx_msg void OnCheckNeurosciencekit();
	afx_msg void OnCheckSciencekit();
	afx_msg void OnCheatsRestockhatchery();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BOBTWEAKDLG_H__12DD6749_FFBC_11D2_919B_B0B50EC10000__INCLUDED_)
